v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/depot/resupplies
Retrieves all depot resupplies.
Rights: SupplySettingRightsPost.
Required sponsor roles are clinical supply manager and depot manager.
Rights: SupplySettingRightsPost.
Required sponsor roles are clinical supply manager and depot manager.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Nested Schema : SiteResupply
Type:
objectSite resupply details.
Show Source
-
comment: string
CommentsExample:
Some comments -
id: string
(uuid)
Resupply site id
-
objectVersionNumber: number
(double)
Object Version Number.Example:
5 -
operationType: string
Allowed Values:
[ "CREATED", "REMOVED", "MODIFIED" ]Operation type.Example:MODIFIED -
reason: string
Reason.Example:
Some reason -
resupplyId: string
(uuid)
Resupply ID.
-
resupplyVersionStart: string
(date-time)
Resupply version start
-
siteId: string
(uuid)
Site ID.
-
siteVersionStart: string
(date-time)
Site version start
-
softwareVersionNumber: number
(double)
Software Version Number.Example:
2 -
subjectVisitId: string
(uuid)
-
userId: string
(uuid)
User id
-
versionEnd: string
(date-time)
The end date until which the data is applicable or valid.
-
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.
400 Response
'The depot in the study does not match the Clinical One study configuration, 'Duplicate depot'
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
'Resupply not found', 'Study identifier does not match any study identifiers in Clinical One.'
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object